# content of: tox.ini , put in same dir as setup.py
[tox]
envlist = clean, serverless, server
isolated_build = True

[testenv:serverless]
# install pytest in the virtualenv where commands will be executed
deps = pytest
commands =
    # we do not want to run the server tests
    pytest --ignore tests/test_server.py tests

[testenv:server]
extras: server
deps = 
    pytest
    pytest-cov
commands =
    #  we simply run all the tests
    pytest --junitxml=junit_report.xml --cov --cov-append --cov-report xml --cov-report html --cov-report term tests

[testenv:clean]
deps = coverage
skip_install = true
commands = coverage erase